Page MenuHomePhabricator

Add Flow support to PageTriage using MessagePoster
Closed, ResolvedPublic

Description

Part of the PageTriage functionality is to post to user talk pages is some cases. Currently, if Flow is used for those, this gives:

error: {
  code:"appendnotsupported"
  info:"Can't append to pages using content model flow-board"
  *:"See http://127.0.0.1:8080/w/api.php for API usage"
}

The solution is to use MessagePoster.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Normal.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF changed Security from none to None.

Either PageTriage could be made Flow-aware, or Flow could support action=edit&appendtext=wiki+text. The latter is T85197

Currently, it's using appendtext. But I don't think we want to use that for Flow. See my comment at T85197: Flow API: Let code append to the board header with action=edit&appendtext.

One solution is to switch to creating a new section (section=new), then make this depend on T59989: S2. Flow API: Let code add a new topic with action=edit&section=new. If they're not using Flow, section=new should still be suitable (e.g. some bot notifications use a section per notification, e.g. https://en.wikipedia.org/w/index.php?title=User_talk:Superm401&oldid=639672099#Disambiguation_link_notification_for_October_16).

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 3 2015, 2:23 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 14 2016, 9:20 PM

Actually, I think it only needs the client. Before, I may have misread ApiPageTriageTagging, and missed that appendtext was being used on the article, not a talk page.

Mattflaschen-WMF renamed this task from PageTriage does not support Flow to Add Flow support to PageTriage using MessagePoster.Sep 16 2016, 8:09 PM
Mattflaschen-WMF updated the task description. (Show Details)

Change 311856 had a related patch set uploaded (by Mattflaschen):
Add MessagePoster/Flow support to PageTriage, fix related issues

https://gerrit.wikimedia.org/r/311856

Change 311856 merged by jenkins-bot:
Add MessagePoster/Flow support to PageTriage, fix related issues

https://gerrit.wikimedia.org/r/311856

Catrope closed this task as Resolved.Apr 18 2017, 6:08 PM